Subject: [78attendees] The charger for Canon camera battery pack

From: Basil Dolmatov <[email-masked]>
Date: Tue, 27 Jul 2010 10:52:29 +0400

Does  anyone posess the charger for Canon iXus 120 camera or any with 
compatible  battery pack (labelled "Canon battery pack NB-4L 3.7V 
760mAh") and agree to lend it for the couple of hours to feed my camera 
battery pack?

Any hlp will be gladly apprecitated.

TIA

dol@